> For the complete documentation index, see [llms.txt](https://docs.otterspace.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otterspace.xyz/documentation/contracts/adding-to-allowlist.md).

# Adding to allowlist

In order to approve someone to mint a Badge, a signature using EIP-712 is necessary

```tsx
import { utils } from "ethers"

const typedData = {
    domain: {
      name: 'BADGES',
      version: '1.0.0',
      chainId: 10, // optimism chainId
      verifyingContract: '0x7F9279B24D1c36Fa3E517041fdb4E8788dc63D25',
    },
    types: {
      Agreement: [
        { name: 'active', type: 'address' },
        { name: 'passive', type: 'address' },
        { name: 'tokenURI', type: 'string' },
      ],
    },
    value: {
      active: claimant.address, // issuer of badge 
      passive: issuer.address, // receiver of badge
      tokenURI: specUri, // uri of badge
    },
  }

// See: <https://docs.ethers.io/v5/api/signer/#Signer-signTypedData> for more detailed instructions.
const signature = await signer._signTypedData(typedData.domain, typedData.types, typedData.value)
const { compactSignature } = utils.splitSignature(signature)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otterspace.xyz/documentation/contracts/adding-to-allowlist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
